<template>
  <el-breadcrumb class="app-breadcrumb" separator="/">
    <transition-group name="breadcrumb">
      <el-breadcrumb-item
        v-for="(segment, idx) in segments" :key="idx"
        :to="getTo(segment)">
        {{ getTitle(segment) }}
      </el-breadcrumb-item>
    </transition-group>
  </el-breadcrumb>
</template>

<script>
  export default {
    computed: {
      segments() {
        return this.$route.matched
      }
    },
    methods: {
      getTitle(segment) {
        return segment.meta.title
      },
      getTo(segment) {
        // TODO: Add warning for redirect
        return { path: segment.path }
      },
      getIcon(segment) {
        return segment.meta.icon || null
      }
    }
  }
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  .app-breadcrumb.el-breadcrumb {
    display: inline-block;
    font-size: 14px;
    line-height: 50px;
    margin-left: 10px;
    .no-redirect {
      color: #97a8be;
      cursor: text;
    }
  }
</style>
